Package org.apache.sling.sitemap.builder

## Enum Url.ChangeFrequency

- java.lang.Object
- - java.lang.Enum<Url.ChangeFrequency>
  - - org.apache.sling.sitemap.builder.Url.ChangeFrequency

All Implemented Interfaces:
  `Serializable`, `Comparable<Url.ChangeFrequency>`

Enclosing interface:
  Url

    public static enum Url.ChangeFrequency
    extends Enum<Url.ChangeFrequency>

### Enum Constant Summary

Enum Constants
`ALWAYS`
`DAILY`
`HOURLY`
`MONTHLY`
`NEVER`
`WEEKLY`
`YEARLY`

### Method Summary

All Methods Static Methods Concrete Methods
`static Url.ChangeFrequency` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Url.ChangeFrequency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALWAYS

    public static final Url.ChangeFrequency ALWAYS

#### HOURLY

    public static final Url.ChangeFrequency HOURLY

#### DAILY

    public static final Url.ChangeFrequency DAILY

#### WEEKLY

    public static final Url.ChangeFrequency WEEKLY

#### MONTHLY

    public static final Url.ChangeFrequency MONTHLY

#### YEARLY

    public static final Url.ChangeFrequency YEARLY

#### NEVER

    public static final Url.ChangeFrequency NEVER

### Method Detail

#### values

    public static Url.ChangeFrequency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Url.ChangeFrequency c : Url.ChangeFrequency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Url.ChangeFrequency valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null